import 'package:flutter/material.dart';
import 'package:flutter_test/flutter_test.dart';

// Ganti posyandu_care menjadi m_posyandu sesuai nama di pubspec.yaml Anda
import 'package:posyandu_care/main.dart'; 

void main() {
  testWidgets('Counter increments smoke test', (WidgetTester tester) async {
    // Berikan parameter initialRoute (misal ke '/') agar tidak error
    await tester.pumpWidget(const MyApp(initialRoute: '/'));

    // Catatan: Jika aplikasi Anda tidak memiliki Counter (angka 0 dan 1), 
    // baris expect di bawah ini mungkin akan gagal (fail), tapi tidak lagi Error Merah.
    expect(find.text('0'), findsOneWidget);
    expect(find.text('1'), findsNothing);

    await tester.tap(find.byIcon(Icons.add));
    await tester.pump();

    expect(find.text('0'), findsNothing);
    expect(find.text('1'), findsOneWidget);
  });
}